package com.mobai.service;

import com.mobai.domain.Result;
import okhttp3.*;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import java.io.IOException;

/**
 * @ClassName FluxGetInfoServiceImpl
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/5/28 22:01
 */
@Service
public class FluxGetInfoServiceImpl implements FluxGetInfoService {
    @Override
    public Result getInfo() {
        String url = "http://39.98.50.223:8080/public/";
        //响应体
        Response response = null;
        //登录
        OkHttpClient client = new OkHttpClient().newBuilder()
                .build();
        MediaType mediaType = MediaType.parse("application/json");
        RequestBody body = RequestBody.create(mediaType, "{\r\n    \"username\": \"fluxmq\",\r\n    \"password\": \"fluxmq\"\r\n}");
        RestTemplate restTemplate = new RestTemplate();
        Request request = null;
        request = new Request.Builder()
                .url(url+"login")
                .method("POST", body)
                .addHeader("User-Agent", "Apifox/1.0.0 (https://apifox.com)")
                .addHeader("Content-Type", "application/json")
                .build();
        try {
            response = client.newCall(request).execute();
            System.out.println(response);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }

        //获取信息
//        OkHttpClient client = new OkHttpClient().newBuilder()
//                .build();
//        MediaType mediaType = MediaType.parse("text/plain");
//        RequestBody body = RequestBody.create(mediaType, "");
        request = new Request.Builder()
                .url(url + "cluster")
                .method("GET", null)
                .addHeader("User-Agent", "Apifox/1.0.0 (https://apifox.com)")
                .addHeader("Accesstoken", response.header("accesstoken"))
                .build();

        try {
            response = client.newCall(request).execute();
            System.out.println(response);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return Result.success(response);
    }
}
